# Umlageabrechnung

{% hint style="warning" %}
Um auf die Umlageabrechnung über die API zugreifen zu können, müssen die Endpunktberechtigungen "Umlageabrechnung-Stammdaten" und "Umlageabrechnung-lesen" aktiviert werden.
{% endhint %}

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Abrechnungsperioden

#### Version 1.2

***

## GET /openwowi/v1.2/RunningCostDistributionRead/DistributionPeriods

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"FirstCalenderYear":{"type":"integer","format":"int32"},"IsBookable":{"type":"boolean"},"IsComputable":{"type":"boolean"},"RegularDistributionPeriod":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodSlimDto"}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/RunningCostDistributionRead/DistributionPeriods":{"get":{"tags":["OpenWowi RunningCostDistribution Read"],"operationId":"RunningCostDistributionRead_GetDistributionPeriods","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Abrechnungskreise

{% hint style="info" %}
Dieser Endpunkt stellt nur die Abrechnungskreise ohne die Kostenverbünde dar. Die übliche Abfrage erfolgt über den Endpunkt "Abrechnungskreise/Kostenverbund". Dieser Endpunkt wird zum 31.12.2026 abgekündigt.
{% endhint %}

#### Version 1.2

***

## GET /openwowi/v1.2/RunningCostDistributionRead/AllocationGroups

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Owner":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OwnerSlimDto"},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"AllocationGroupState":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupStateDto"},"PrepaymentBlock":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PrepaymentBlockSlimDto"},"DistributionTypeSlim":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionTypeSlimDto"},"PreviousAllocationGroup":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupSlimDto"},"IndividualOwnershipManagement":{"type":"boolean"},"IsCleared":{"type":"boolean"},"SearchPattern":{"type":"string","nullable":true},"Location":{"type":"string","nullable":true},"DistributionPeriod":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodUltraSlimDto"},"RegularDistributionPeriod":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodSlimDto"},"UseUnits":{"type":"array","items":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.UseUnitUltraSlimDto"},"nullable":true},"AllocationGroupCostTypes":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupCostTypeDto"},"nullable":true},"Explanations":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ExplanationDto"},"nullable":true},"OptionTaxes":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OptionTaxDto"},"nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OwnerSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"OwnerNumber":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupStateDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PrepaymentBlockSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionTypeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.UseUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"UseUnitNumber":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupCostTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ExplanationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Text":{"type":"string","nullable":true},"Group":{"$ref":"#/components/schemas/Administration.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GroupSlimDto"}},"additionalProperties":false},"Administration.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GroupSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OptionTaxDto":{"type":"object","properties":{"OptionTax":{"type":"number","format":"decimal"},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/RunningCostDistributionRead/AllocationGroups":{"get":{"tags":["OpenWowi RunningCostDistribution Read"],"operationId":"RunningCostDistributionRead_GetAllocationGroups","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"allocationGroupId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"allocationGroupCode","in":"query","schema":{"type":"string"}},{"name":"ownerId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"companyCodeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"distributionPeriodId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"distributionTypeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"prepaymentBlockId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchPattern","in":"query","schema":{"type":"string"}},{"name":"includeUseUnits","in":"query","schema":{"type":"boolean"}},{"name":"includeCostTypes","in":"query","schema":{"type":"boolean"}},{"name":"includeExplanations","in":"query","schema":{"type":"boolean"}},{"name":"includeOptionTaxes","in":"query","schema":{"type":"boolean"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Abrechnungskreise / Kostenverbund

#### Version 1.2

***

## GET /openwowi/v1.2/RunningCostDistributionRead/AllocationGroupBases

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true},"Owner":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OwnerSlimDto"},"CompanyCode":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto"},"AllocationGroupState":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupStateDto"},"PrepaymentBlock":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PrepaymentBlockSlimDto"},"PreviousAllocationGroupBase":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseSlimDto"},"SearchPattern":{"type":"string","nullable":true},"Location":{"type":"string","nullable":true},"DistributionPeriod":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodUltraSlimDto"},"AllocationGroup":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseAllocationGroupDto"},"CombinedAllocationGroup":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CombinedAllocationGroupDto"},"AllocationGroupCostTypes":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupCostTypeDto"},"nullable":true},"OptionTaxes":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OptionTaxDto"},"nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OwnerSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"OwnerNumber":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.CompanyCodeSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupStateDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PrepaymentBlockSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.DistributionPeriodUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseAllocationGroupDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IndividualOwnershipManagement":{"type":"boolean"},"IsCleared":{"type":"boolean"},"RegularDistributionPeriod":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodSlimDto"},"UseUnits":{"type":"array","items":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.UseUnitUltraSlimDto"},"nullable":true},"Explanations":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ExplanationDto"},"nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.RegularDistributionPeriodSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.UseUnitUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"UseUnitNumber":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ExplanationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Text":{"type":"string","nullable":true},"Group":{"$ref":"#/components/schemas/Administration.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GroupSlimDto"}},"additionalProperties":false},"Administration.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GroupSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CombinedAllocationGroupDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"UnitsTotal":{"type":"number","format":"decimal","nullable":true},"CostsPerUnit":{"type":"string","nullable":true},"WarmWaterFuelConsumption":{"type":"number","format":"decimal","nullable":true},"WarmWaterHeatQuantity":{"type":"number","format":"decimal","nullable":true},"IndependentCommercialHeatingSupply":{"type":"boolean"},"InventoryIncreasesCleared":{"type":"boolean"},"InventoryChangesAmount":{"type":"number","format":"decimal","nullable":true},"CombinedAllocationGroupType":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CombinedAllocationGroupTypeDto"},"FuelEnergyType":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.FuelEnergyTypeDto"},"Facility":{"$ref":"#/components/schemas/CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto"},"SettlementState":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.SettlementStateDto"},"ElementaryDistributionKey":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ElementaryDistributionKeySlimDto"},"Explanations":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ExplanationDto"},"nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CombinedAllocationGroupTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.FuelEnergyTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"CommercialInventory.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.FacilitySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.SettlementStateDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.ElementaryDistributionKeySlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupCostTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.OptionTaxDto":{"type":"object","properties":{"OptionTax":{"type":"number","format":"decimal"},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/RunningCostDistributionRead/AllocationGroupBases":{"get":{"tags":["OpenWowi RunningCostDistribution Read"],"operationId":"RunningCostDistributionRead_GetAllocationGroupBases","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"allocationGroupBaseId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"allocationGroupBaseCode","in":"query","schema":{"type":"string"}},{"name":"ownerId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"companyCodeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"distributionPeriodId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"prepaymentBlockId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchPattern","in":"query","schema":{"type":"string"}},{"name":"includeCostTypes","in":"query","schema":{"type":"boolean"}},{"name":"includeUseUnits","in":"query","schema":{"type":"boolean"}},{"name":"includeExplanations","in":"query","schema":{"type":"boolean"}},{"name":"includeOptionTaxes","in":"query","schema":{"type":"boolean"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RunningCostDistribution.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AllocationGroupBaseDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/umlageabrechnung.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
